function x = NumLsg(N)
    global c;
    global alpha;
    global beta;

    h = 1/N;

    n = N-1;

    D1 = sparse(1:n, 1:n,    2*ones(1, n),   n, n);
    D2 = sparse(2:n, 1:n-1, -1*ones(1, n-1), n, n);

    A = D2' + D1 + D2;

    A = 1/(h^2)*A;

    G = c*sparse(1:n, 1:n, ones(1, n), n, n);

    D = A + G;

    d = c*ones(n, 1);
    d(1) = d(1) + alpha/h^2;
    d(n) = d(n) + beta/h^2;

    x = D\d;

    % Randwerte hinzufuegen
    x = [alpha; x; beta];